#ifndef FIGURE_H
#define FIGURE_H

#include <QList>
class Figure
{
	public:
		Figure() { clear(); }
		~Figure() {}
		void clear();
		void set( QList<int> list, bool pure, int val = -1 ) { listeDes = list; pur = pure; valeur = val; }
		bool exists() { return !listeDes.isEmpty(); }
		bool isPure() { return pur;}
		void setPure(bool pure) { pur = pure; }
		int getValue() { return valeur; }
		QList<int> getList() { return listeDes; }
		Figure operator=(const Figure autre);
		Figure operator+(const Figure autre);
		bool contains(int numDice) { return listeDes.contains(numDice); }


	private:
		int valeur;
		bool pur;
		QList<int> listeDes;
};

#endif // FIGURE_H
