#include "resultatanalyse.h"
#include <QDebug>
#include <QObject>

/************************************ ResultatAnalyse ****************************************/

ResultatAnalyse::ResultatAnalyse() {
	m_labelLigne << QObject::tr("AS") << QObject::tr("DEUX") << QObject::tr("TROIS") << QObject::tr("QUATRE") << QObject::tr("CINQ");
	m_labelLigne << QObject::tr("SIX") << "** err **" << "** err **";
	m_labelLigne << QObject::tr("UNE PAIRE") << QObject::tr("DEUX PAIRES") << QObject::tr("BRELAN") << QObject::tr("CARRE");
	m_labelLigne << QObject::tr("FULL") << QObject::tr("PETITE SUITE");
	m_labelLigne << QObject::tr("GRANDE_SUITE") << QObject::tr("CHANCE") << QObject::tr("YAHTZEE");
	m_labelColonne << QObject::tr("DESCENDANTE") << QObject::tr("MONTANTE") << QObject::tr("LIBRE");
	clear();
}


void ResultatAnalyse::clear()
{
	m_action = -1;
	m_rejouer.clear();
	m_ligne = -1;
	m_colonne = -1;
	m_trace.clear();
}

void ResultatAnalyse::trace(QString txt)
{
	m_trace << txt;
	qDebug() << ">" << txt;
}

void ResultatAnalyse::setAction( QList<int> aRejouer )
{
	m_action = relancer;
	m_rejouer = aRejouer;
	m_ligne = -1;
	m_colonne = -1;
}

void ResultatAnalyse::setAction( int ligne, int colonne )
{
	m_action = marquerLigne;
	m_rejouer.clear();
	m_ligne = ligne;
	m_colonne = colonne;
//	trace (QObject::tr("Marquer la ligne %1 dans la colonne %2").arg(getLabelLigne(ligne)).arg(getLabelColonne(colonne)));
}
